diff --git a/lib/app/modules/donatur/views/donatur_laporan_view.dart b/lib/app/modules/donatur/views/donatur_laporan_view.dart
index 647eb09..ce5e711 100644
--- a/lib/app/modules/donatur/views/donatur_laporan_view.dart
+++ b/lib/app/modules/donatur/views/donatur_laporan_view.dart
@@ -100,230 +275,396 @@ class DonaturLaporanView extends GetView<DonaturDashboardController> {
         return b.tanggalLaporan!.compareTo(a.tanggalLaporan!);
       });
 
-    return ListView(
-      padding: const EdgeInsets.all(16),
-      children: [
-        const SectionHeader(title: 'Laporan Penyaluran Bantuan'),
-        Text(
-          'Daftar laporan hasil penyaluran bantuan',
-          style: TextStyle(
-            fontSize: 14,
-            color: Colors.grey.shade600,
-          ),
+    return SliverPadding(
+      padding: const EdgeInsets.fromLTRB(16, 0, 16, 24),
+      sliver: SliverList(
+        delegate: SliverChildBuilderDelegate(
+          (context, index) {
+            final laporan = sortedLaporan[index];
+            return AnimationConfiguration.staggeredList(
+              position: index,
+              duration: const Duration(milliseconds: 375),
+              child: SlideAnimation(
+                verticalOffset: 50.0,
+                child: FadeInAnimation(
+                  child: Padding(
+                    padding: const EdgeInsets.only(bottom: 4.0, top: 4.0),
+                    child: _buildLaporanCard(laporan),
+                  ),
+                ),
+              ),
+            );
+          },
+          childCount: sortedLaporan.length,
         ),
-        const SizedBox(height: 16),
-        ...sortedLaporan.map((laporan) => _buildLaporanCard(laporan)),
-      ],
+      ),
     );
   }
 
   Widget _buildLaporanCard(dynamic laporan) {
     final formattedDate = laporan.tanggalLaporan != null
-        ? DateFormat('dd MMMM yyyy', 'id_ID').format(laporan.tanggalLaporan!)
+        ? FormatHelper.formatDateTime(laporan.tanggalLaporan!)
         : 'Tanggal tidak tersedia';
 
     return Container(
       margin: const EdgeInsets.only(bottom: 16),
       decoration: BoxDecoration(
-        borderRadius: BorderRadius.circular(12),
+        borderRadius: BorderRadius.circular(16),
         boxShadow: [
           BoxShadow(
-            color: Colors.black.withOpacity(0.05),
-            blurRadius: 10,
-            offset: const Offset(0, 5),
+            color: Colors.black.withOpacity(0.06),
+            blurRadius: 12,
+            offset: const Offset(0, 6),
           ),
         ],
       ),
       child: Card(
         elevation: 0,
         shape: RoundedRectangleBorder(
-          borderRadius: BorderRadius.circular(12),
+          borderRadius: BorderRadius.circular(16),
         ),
-        child: Padding(
-          padding: const EdgeInsets.all(16),
-          child: Column(
-            crossAxisAlignment: CrossAxisAlignment.start,
-            children: [
-              Row(
+        child: Column(
+          crossAxisAlignment: CrossAxisAlignment.start,
+          children: [
+            // Bagian atas dengan gambar header jika ada
+            if (laporan.dokumentasiUrl != null &&
+                laporan.dokumentasiUrl!.isNotEmpty)
+              ClipRRect(
+                borderRadius: const BorderRadius.only(
+                  topLeft: Radius.circular(16),
+                  topRight: Radius.circular(16),
+                ),
+                child: Image.network(
+                  laporan.dokumentasiUrl!,
+                  height: 150,
+                  width: double.infinity,
+                  fit: BoxFit.cover,
+                  errorBuilder: (context, error, stackTrace) {
+                    return Container(
+                      height: 100,
+                      color: Colors.blue.shade50,
+                      alignment: Alignment.center,
+                      child: Icon(
+                        Icons.image_not_supported,
+                        color: Colors.blue.shade300,
+                        size: 40,
+                      ),
+                    );
+                  },
+                ),
+              ),
+
+            Padding(
+              padding: const EdgeInsets.all(16),
+              child: Column(
                 crossAxisAlignment: CrossAxisAlignment.start,
                 children: [
-                  Container(
-                    width: 60,
-                    height: 60,
-                    alignment: Alignment.center,
-                    decoration: BoxDecoration(
-                      color: Colors.blue.shade50,
-                      borderRadius: BorderRadius.circular(10),
-                    ),
-                    child: laporan.dokumentasiUrl != null &&
-                            laporan.dokumentasiUrl!.isNotEmpty
-                        ? ClipRRect(
-                            borderRadius: BorderRadius.circular(10),
-                            child: Image.network(
-                              laporan.dokumentasiUrl!,
-                              width: 60,
-                              height: 60,
-                              fit: BoxFit.cover,
-                              errorBuilder: (context, error, stackTrace) {
-                                return Icon(
-                                  Icons.assignment,
-                                  color: Colors.blue.shade700,
-                                  size: 30,
-                                );
-                              },
-                            ),
-                          )
-                        : Icon(
+                  Row(
+                    crossAxisAlignment: CrossAxisAlignment.start,
+                    children: [
+                      if (laporan.dokumentasiUrl == null ||
+                          laporan.dokumentasiUrl!.isEmpty)
+                        Container(
+                          width: 60,
+                          height: 60,
+                          alignment: Alignment.center,
+                          decoration: BoxDecoration(
+                            color: Colors.blue.shade50,
+                            borderRadius: BorderRadius.circular(12),
+                          ),
+                          child: Icon(
                             Icons.assignment,
                             color: Colors.blue.shade700,
                             size: 30,
                           ),
-                  ),
-                  const SizedBox(width: 16),
-                  Expanded(
-                    child: Column(
-                      crossAxisAlignment: CrossAxisAlignment.start,
-                      children: [
-                        Text(
-                          laporan.judul,
-                          style: const TextStyle(
-                            fontSize: 16,
-                            fontWeight: FontWeight.bold,
-                          ),
-                          maxLines: 2,
-                          overflow: TextOverflow.ellipsis,
                         ),
-                        const SizedBox(height: 4),
-                        Row(
+                      if (laporan.dokumentasiUrl == null ||
+                          laporan.dokumentasiUrl!.isEmpty)
+                        const SizedBox(width: 16),
+                      Expanded(
+                        child: Column(
+                          crossAxisAlignment: CrossAxisAlignment.start,
                           children: [
-                            Icon(
-                              Icons.calendar_today,
-                              size: 14,
-                              color: Colors.grey.shade600,
-                            ),
-                            const SizedBox(width: 4),
                             Text(
-                              formattedDate,
-                              style: TextStyle(
-                                fontSize: 13,
-                                color: Colors.grey.shade700,
+                              laporan.judul,
+                              style: const TextStyle(
+                                fontSize: 18,
+                                fontWeight: FontWeight.bold,
                               ),
+                              maxLines: 2,
+                              overflow: TextOverflow.ellipsis,
+                            ),
+                            const SizedBox(height: 8),
+                            Row(
+                              children: [
+                                Container(
+                                  padding: const EdgeInsets.symmetric(
+                                    horizontal: 10,
+                                    vertical: 4,
+                                  ),
+                                  decoration: BoxDecoration(
+                                    color: Colors.green.shade50,
+                                    borderRadius: BorderRadius.circular(20),
+                                    border: Border.all(
+                                      color: Colors.green.shade200,
+                                    ),
+                                  ),
+                                  child: Row(
+                                    mainAxisSize: MainAxisSize.min,
+                                    children: [
+                                      Icon(
+                                        Icons.check_circle,
+                                        size: 14,
+                                        color: Colors.green.shade700,
+                                      ),
+                                      const SizedBox(width: 4),
+                                      Text(
+                                        'Selesai',
+                                        style: TextStyle(
+                                          fontSize: 12,
+                                          fontWeight: FontWeight.w500,
+                                          color: Colors.green.shade700,
+                                        ),
+                                      ),
+                                    ],
+                                  ),
+                                ),
+                                const SizedBox(width: 8),
+                                Icon(
+                                  Icons.calendar_today,
+                                  size: 14,
+                                  color: Colors.grey.shade600,
+                                ),
+                                const SizedBox(width: 4),
+                                Text(
+                                  formattedDate,
+                                  style: TextStyle(
+                                    fontSize: 13,
+                                    color: Colors.grey.shade700,
+                                  ),
+                                ),
+                              ],
                             ),
                           ],
                         ),
-                        const SizedBox(height: 8),
-                        Row(
-                          children: [
-                            if (laporan.beritaAcaraUrl != null &&
-                                laporan.beritaAcaraUrl!.isNotEmpty)
-                              ElevatedButton.icon(
-                                onPressed: () {
-                                  // Implementasi untuk membuka berita acara
-                                  _openDocument(laporan.beritaAcaraUrl!);
-                                },
-                                icon: const Icon(Icons.description, size: 16),
-                                label: const Text('Berita Acara'),
-                                style: ElevatedButton.styleFrom(
-                                  foregroundColor: Colors.white,
-                                  backgroundColor: Colors.blue,
-                                  padding: const EdgeInsets.symmetric(
-                                      horizontal: 12, vertical: 8),
-                                  shape: RoundedRectangleBorder(
-                                    borderRadius: BorderRadius.circular(8),
-                                  ),
-                                  minimumSize: const Size(30, 30),
-                                  tapTargetSize:
-                                      MaterialTapTargetSize.shrinkWrap,
-                                  textStyle: const TextStyle(fontSize: 12),
-                                ),
+                      ),
+                    ],
+                  ),
+                  Row(
+                    children: [
+                      if (laporan.beritaAcaraUrl != null &&
+                          laporan.beritaAcaraUrl!.isNotEmpty)
+                        Expanded(
+                          child: OutlinedButton.icon(
+                            onPressed: () {
+                              _openDocument(laporan.beritaAcaraUrl!);
+                            },
+                            icon: const Icon(Icons.description, size: 18),
+                            label: const Text('Berita Acara'),
+                            style: OutlinedButton.styleFrom(
+                              foregroundColor: Colors.blue.shade700,
+                              side: BorderSide(color: Colors.blue.shade300),
+                              shape: RoundedRectangleBorder(
+                                borderRadius: BorderRadius.circular(8),
                               ),
-                            if (laporan.dokumentasiUrl != null &&
-                                laporan.dokumentasiUrl!.isNotEmpty) ...[
-                              const SizedBox(width: 8),
-                              ElevatedButton.icon(
-                                onPressed: () {
-                                  // Implementasi untuk melihat dokumentasi
-                                  _viewDocumentation(laporan.dokumentasiUrl!);
-                                },
-                                icon: const Icon(Icons.photo_library, size: 16),
-                                label: const Text('Dokumentasi'),
-                                style: ElevatedButton.styleFrom(
-                                  foregroundColor: Colors.white,
-                                  backgroundColor: Colors.green,
-                                  padding: const EdgeInsets.symmetric(
-                                      horizontal: 12, vertical: 8),
-                                  shape: RoundedRectangleBorder(
-                                    borderRadius: BorderRadius.circular(8),
-                                  ),
-                                  minimumSize: const Size(30, 30),
-                                  tapTargetSize:
-                                      MaterialTapTargetSize.shrinkWrap,
-                                  textStyle: const TextStyle(fontSize: 12),
-                                ),
+                              padding: const EdgeInsets.symmetric(vertical: 12),
+                            ),
+                          ),
+                        ),
+                      if (laporan.dokumentasiUrl != null &&
+                          laporan.dokumentasiUrl!.isNotEmpty) ...[
+                        if (laporan.beritaAcaraUrl != null &&
+                            laporan.beritaAcaraUrl!.isNotEmpty)
+                          const SizedBox(width: 12),
+                        Expanded(
+                          child: ElevatedButton.icon(
+                            onPressed: () {
+                              _viewDocumentation(laporan.dokumentasiUrl!);
+                            },
+                            icon: const Icon(Icons.photo_library, size: 18),
+                            label: const Text('Lihat Foto'),
+                            style: ElevatedButton.styleFrom(
+                              foregroundColor: Colors.white,
+                              backgroundColor: Colors.blue.shade600,
+                              shape: RoundedRectangleBorder(
+                                borderRadius: BorderRadius.circular(8),
                               ),
-                            ],
-                          ],
+                              padding: const EdgeInsets.symmetric(vertical: 12),
+                              elevation: 0,
+                            ),
+                          ),
                         ),
                       ],
-                    ),
+                    ],
                   ),
                 ],
               ),
-            ],
-          ),
+            ),
+          ],
         ),
       ),
     );
   }
 
+  // Fungsi helper untuk menentukan jenis file
+  LaunchMode _determineLaunchMode(String url) {
+    final extension = path.extension(url).toLowerCase();
+
+    // Jika PDF atau dokumen, buka di aplikasi eksternal
+    if (['.pdf', '.doc', '.docx', '.xls', '.xlsx', '.ppt', '.pptx']
+        .contains(extension)) {
+      return LaunchMode.externalApplication;
+    }
+
+    // Jika gambar, buka di aplikasi eksternal
+    if (['.jpg', '.jpeg', '.png', '.gif', '.webp', '.bmp']
+        .contains(extension)) {
+      return LaunchMode.externalApplication;
+    }
+
+    // URL web, buka di browser
+    if (url.startsWith('http://') || url.startsWith('https://')) {
+      return LaunchMode.externalApplication;
+    }
+
+    // Default ke aplikasi eksternal
+    return LaunchMode.externalApplication;
+  }
+
+  // Fungsi untuk membuka URL dengan handling error
+  Future<void> _launchUrl(String url,
+      {String successMessage = 'Berhasil membuka dokumen'}) async {
+    try {
+      final Uri uri = Uri.parse(url);
+      final LaunchMode mode = _determineLaunchMode(url);
+
+      if (await canLaunchUrl(uri)) {
+        final bool success = await launchUrl(uri, mode: mode);
+
+        if (success) {
+          Get.snackbar(
+            'Berhasil',
+            successMessage,
+            snackPosition: SnackPosition.BOTTOM,
+            backgroundColor: Colors.green.shade50,
+            colorText: Colors.green.shade800,
+            margin: const EdgeInsets.all(16),
+            borderRadius: 10,
+            icon: Icon(
+              Icons.check_circle_outline,
+              color: Colors.green.shade800,
+            ),
+          );
+        } else {
+          _showErrorSnackbar(
+              'Tidak dapat membuka file. Format mungkin tidak didukung.');
+        }
+      } else {
+        _showErrorSnackbar('Tidak dapat membuka URL: $url');
+      }
+    } catch (e) {
+      _showErrorSnackbar('Error: ${e.toString()}');
+    }
+  }
+
+  // Fungsi untuk menampilkan error snackbar
+  void _showErrorSnackbar(String message) {
+    Get.snackbar(
+      'Gagal',
+      message,
+      snackPosition: SnackPosition.BOTTOM,
+      backgroundColor: Colors.red.shade50,
+      colorText: Colors.red.shade800,
+      margin: const EdgeInsets.all(16),
+      borderRadius: 10,
+      icon: Icon(
+        Icons.error_outline,
+        color: Colors.red.shade800,
+      ),
+    );
+  }
+
   void _openDocument(String url) {
     Get.dialog(
       Dialog(
         shape: RoundedRectangleBorder(
-          borderRadius: BorderRadius.circular(16),
+          borderRadius: BorderRadius.circular(20),
         ),
-        child: Padding(
-          padding: const EdgeInsets.all(16.0),
+        child: Container(
+          padding: const EdgeInsets.all(24.0),
+          decoration: BoxDecoration(
+            borderRadius: BorderRadius.circular(20),
+            color: Colors.white,
+          ),
           child: Column(
             mainAxisSize: MainAxisSize.min,
             children: [
+              Container(
+                width: 70,
+                height: 70,
+                decoration: BoxDecoration(
+                  color: Colors.blue.shade50,
+                  shape: BoxShape.circle,
+                ),
+                child: Icon(
+                  Icons.description_outlined,
+                  color: Colors.blue.shade700,
+                  size: 40,
+                ),
+              ),
+              const SizedBox(height: 20),
               const Text(
                 'Buka Dokumen',
                 style: TextStyle(
-                  fontSize: 18,
+                  fontSize: 20,
                   fontWeight: FontWeight.bold,
                 ),
               ),
-              const SizedBox(height: 16),
+              const SizedBox(height: 12),
               const Text(
-                'Anda akan membuka dokumen berita acara. Lanjutkan?',
+                'Anda akan membuka dokumen berita acara penyaluran bantuan. Lanjutkan?',
                 textAlign: TextAlign.center,
+                style: TextStyle(
+                  fontSize: 15,
+                  height: 1.4,
+                ),
               ),
-              const SizedBox(height: 24),
+              const SizedBox(height: 28),
               Row(
-                mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                 children: [
-                  TextButton(
-                    onPressed: () => Get.back(),
-                    child: const Text('Batal'),
-                  ),
-                  ElevatedButton(
-                    onPressed: () {
-                      Get.back();
-                      // Implementasi untuk membuka URL dokumen
-                      // Misalnya menggunakan package url_launcher
-                      // launch(url);
-                      Get.snackbar(
-                        'Info',
-                        'Membuka dokumen: $url',
-                        snackPosition: SnackPosition.BOTTOM,
-                      );
-                    },
-                    style: ElevatedButton.styleFrom(
-                      foregroundColor: Colors.white,
-                      backgroundColor: Colors.blue,
+                  Expanded(
+                    child: OutlinedButton(
+                      onPressed: () => Get.back(),
+                      style: OutlinedButton.styleFrom(
+                        foregroundColor: Colors.grey.shade700,
+                        side: BorderSide(color: Colors.grey.shade300),
+                        padding: const EdgeInsets.symmetric(vertical: 14),
+                        shape: RoundedRectangleBorder(
+                          borderRadius: BorderRadius.circular(12),
+                        ),
+                      ),
+                      child: const Text('Batal'),
+                    ),
+                  ),
+                  const SizedBox(width: 16),
+                  Expanded(
+                    child: ElevatedButton(
+                      onPressed: () {
+                        Get.back();
+                        _launchUrl(url,
+                            successMessage: 'Membuka dokumen berita acara');
+                      },
+                      style: ElevatedButton.styleFrom(
+                        foregroundColor: Colors.white,
+                        backgroundColor: Colors.blue.shade600,
+                        padding: const EdgeInsets.symmetric(vertical: 14),
+                        shape: RoundedRectangleBorder(
+                          borderRadius: BorderRadius.circular(12),
+                        ),
+                        elevation: 0,
+                      ),
+                      child: const Text('Buka'),
                     ),
-                    child: const Text('Buka'),
                   ),
                 ],
               ),
@@ -341,66 +682,160 @@ class DonaturLaporanView extends GetView<DonaturDashboardController> {
           borderRadius: BorderRadius.circular(16),
         ),
         insetPadding: const EdgeInsets.all(16),
+        backgroundColor: Colors.transparent,
         child: Column(
           mainAxisSize: MainAxisSize.min,
           children: [
-            Padding(
+            Container(
+              decoration: BoxDecoration(
+                color: Colors.white,
+                borderRadius: const BorderRadius.vertical(
+                  top: Radius.circular(16),
+                ),
+              ),
               padding: const EdgeInsets.all(16.0),
               child: Row(
                 mainAxisAlignment: MainAxisAlignment.spaceBetween,
                 children: [
-                  const Text(
-                    'Dokumentasi',
-                    style: TextStyle(
-                      fontSize: 18,
-                      fontWeight: FontWeight.bold,
-                    ),
+                  Row(
+                    children: [
+                      Icon(
+                        Icons.photo_library,
+                        color: Colors.blue.shade600,
+                        size: 24,
+                      ),
+                      const SizedBox(width: 12),
+                      const Text(
+                        'Dokumentasi Penyaluran',
+                        style: TextStyle(
+                          fontSize: 18,
+                          fontWeight: FontWeight.bold,
+                        ),
+                      ),
+                    ],
                   ),
-                  IconButton(
-                    icon: const Icon(Icons.close),
-                    onPressed: () => Get.back(),
+                  Container(
+                    decoration: BoxDecoration(
+                      color: Colors.grey.shade200,
+                      shape: BoxShape.circle,
+                    ),
+                    child: IconButton(
+                      icon: const Icon(Icons.close),
+                      onPressed: () => Get.back(),
+                      color: Colors.black87,
+                      iconSize: 20,
+                    ),
                   ),
                 ],
               ),
             ),
             Container(
+              color: Colors.black,
               constraints: BoxConstraints(
-                maxHeight: Get.height * 0.6,
+                maxHeight: Get.height * 0.7,
                 maxWidth: Get.width,
               ),
-              child: Image.network(
-                url,
-                fit: BoxFit.contain,
-                errorBuilder: (context, error, stackTrace) {
-                  return Center(
-                    child: Column(
-                      mainAxisSize: MainAxisSize.min,
-                      children: [
-                        Icon(
-                          Icons.error_outline,
-                          size: 50,
-                          color: Colors.red.shade300,
+              child: InteractiveViewer(
+                minScale: 0.5,
+                maxScale: 3.0,
+                child: Image.network(
+                  url,
+                  fit: BoxFit.contain,
+                  errorBuilder: (context, error, stackTrace) {
+                    return Center(
+                      child: Padding(
+                        padding: const EdgeInsets.all(32.0),
+                        child: Column(
+                          mainAxisSize: MainAxisSize.min,
+                          children: [
+                            Icon(
+                              Icons.error_outline,
+                              size: 60,
+                              color: Colors.red.shade300,
+                            ),
+                            const SizedBox(height: 16),
+                            const Text(
+                              'Gagal memuat gambar',
+                              style: TextStyle(
+                                fontSize: 16,
+                                fontWeight: FontWeight.bold,
+                                color: Colors.white,
+                              ),
+                            ),
+                            const SizedBox(height: 8),
+                            Text(
+                              'Harap periksa koneksi internet Anda dan coba lagi',
+                              style: TextStyle(
+                                fontSize: 14,
+                                color: Colors.grey.shade300,
+                              ),
+                              textAlign: TextAlign.center,
+                            ),
+                          ],
                         ),
-                        const SizedBox(height: 16),
-                        const Text('Gagal memuat gambar'),
-                      ],
-                    ),
-                  );
-                },
-                loadingBuilder: (context, child, loadingProgress) {
-                  if (loadingProgress == null) return child;
-                  return Center(
-                    child: CircularProgressIndicator(
-                      value: loadingProgress.expectedTotalBytes != null
-                          ? loadingProgress.cumulativeBytesLoaded /
-                              loadingProgress.expectedTotalBytes!
-                          : null,
-                    ),
-                  );
-                },
+                      ),
+                    );
+                  },
+                  loadingBuilder: (context, child, loadingProgress) {
+                    if (loadingProgress == null) return child;
+                    return Center(
+                      child: Padding(
+                        padding: const EdgeInsets.all(24.0),
+                        child: Column(
+                          mainAxisSize: MainAxisSize.min,
+                          children: [
+                            CircularProgressIndicator(
+                              value: loadingProgress.expectedTotalBytes != null
+                                  ? loadingProgress.cumulativeBytesLoaded /
+                                      loadingProgress.expectedTotalBytes!
+                                  : null,
+                              color: Colors.white,
+                              strokeWidth: 3,
+                            ),
+                            const SizedBox(height: 16),
+                            const Text(
+                              'Memuat dokumentasi...',
+                              style: TextStyle(
+                                color: Colors.white,
+                                fontSize: 14,
+                              ),
+                            ),
+                          ],
+                        ),
+                      ),
+                    );
+                  },
+                ),
+              ),
+            ),
+            Container(
+              width: double.infinity,
+              decoration: const BoxDecoration(
+                color: Colors.white,
+                borderRadius: BorderRadius.vertical(
+                  bottom: Radius.circular(16),
+                ),
+              ),
+              padding: const EdgeInsets.all(16),
+              child: ElevatedButton.icon(
+                onPressed: () {
+                  Get.back();
+                  _launchUrl(url,
+                      successMessage: 'Membuka gambar di aplikasi eksternal');
+                },
+                icon: const Icon(Icons.open_in_new, size: 20),
+                label: const Text('Buka di Aplikasi Galeri'),
+                style: ElevatedButton.styleFrom(
+                  foregroundColor: Colors.white,
+                  backgroundColor: Colors.blue.shade600,
+                  padding: const EdgeInsets.symmetric(vertical: 14),
+                  shape: RoundedRectangleBorder(
+                    borderRadius: BorderRadius.circular(12),
+                  ),
+                  elevation: 0,
+                ),
               ),
             ),
-            const SizedBox(height: 16),
           ],
         ),
       ),
